Skip to main content
`Ctrl`+`K`

# TSSetI2Function

Set the function to compute F(t,U,U_t,U_tt) where F = 0 is the DAE to be solved.

## Synopsis

    #include "petscts.h"
    PetscErrorCode TSSetI2Function(TS ts, Vec F, TSI2FunctionFn *fun, void *ctx)

Logically Collective

## Input Parameters

- ts - the `TS` context obtained from `TSCreate()`

- F - vector to hold the residual (or `NULL` to have it created internally)

- fun - the function evaluation routine

- ctx - user-defined context for private data for the function evaluation routine (may be `NULL`)

## See Also

TS: Scalable ODE and DAE Solvers, `TS`, `TSI2FunctionFn`, `TSSetI2Jacobian()`, `TSSetIFunction()`, `TSCreate()`, `TSSetRHSFunction()`

## Level

beginner

## Location

src/ts/interface/ts.c

## Examples

src/ts/tutorials/ex44.c
src/ts/tutorials/ex43.c

Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages